/*
This file is part of "Uakron Robot Project".

"Uakron Robot Project" is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

"Uakron Robot Project" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#include "basicStamp2Library.h"


void LedTimer()
{

	setLeds(0,1);
	//DEBUG "Service PortA"
	//DEBUG "Byte 1 Recvd"
	//DEBUG "Byte 2 Recvd"
	//DEBUG "Data Recvd:"
	//DEBUG ?command = 9
	//DEBUG ?AvrData = 1
	//DEBUG "Set Leds"

	sleep(3000);
	//DEBUG "Service PortA"
	//DEBUG "Byte 1 Recvd"
	//DEBUG "Byte 2 Recvd"
	//DEBUG "Data Recvd:"
	//DEBUG ?command = 13
	//DEBUG ?AvrData = 255
	//DEBUG "Delay"
	//DEBUG "AvrDataSend"
	//DEBUG ?command 13
	//DEBUG ?toAvr X
	//DEBUG "Byte 1 Sent"
	//DEBUG "Byte 2 Sent"
	//DEBUG "Reset Direction"
	//DEBUG "PortA Check"

	setLeds(1,0);
	sleep(500);
	setLeds(0,0);
	sleep(500);
	setLeds(1,0);
	sleep(500);
	setLeds(0,0);
	sleep(500);
	setLeds(1,0);
}

int main()
{

	initBasicStamp();
    	
    setStraight();
                	
	LedTimer();
		
	forwardFast(20);
			
	while(isMotorDone());
	
	LedTimer();
	
	forwardMedium(20);
	
	while(isMotorDone());
	LedTimer();
	
	forwardSlow(20);

	while(isMotorDone());
	LedTimer();
	
	backwardFast(20);
	
	while(isMotorDone());
	LedTimer();
	
	backwardMeduim(20);
	
	while(isMotorDone());
	LedTimer();
	
	backwardSlow(20);
	
	while(isMotorDone());
	LedTimer();
	
	forwardFast(20);
	
	getTicks();
	
	stopMotor();
	
	getTicks();
	
	LedTimer();
	
	turnRight(10);
	
	sleep(500);
	LedTimer();
	
	turnRight(0xD2);
	
	sleep(500);
	LedTimer();
	
	turnLeft(30);
	
	sleep(500);
	LedTimer();
	
	turnLeft(0xD2);
	
	sleep(500);
	LedTimer();
	
	setStraight();

	sleep(500);
	LedTimer();
	
	turnOffSteering();
	
	LedTimer();
	
    setLeds(isButton1Pushed(),isButton2Pushed());
	
    sleep(5000);
	
	LedTimer();
	
	setLeds(isButton1Pushed(),isButton2Pushed());
    
    sleep(5000);
	
	LedTimer();

    setLeds(isJumper1On(),isJumper2On());
	
    sleep(5000);
	
	LedTimer();

    setLeds(isJumper1On(),isJumper2On());
	
    sleep(5000);


	LedTimer();

    byte  freq;
    for(freq = 0; freq <= 15; freq++)
    {
	    beep(freq, 5);
    }
    for(freq = 15; freq >= 0; freq--)
    {
	    beep(freq, 5);
    }


    playMarioTheme();
    sleep(500);


    playChargeTheme();
    sleep(500);
	
	//DEBUG "Data Recvd:"
	//DEBUG ?command = 12
	//DEBUG ?AvrData = 255
	
	sleep(1500);
	LedTimer();
	
	beep(15,10);
	setLeds(1,1);
	beep(15,10);
	setLeds(0,0);
	beep(15,10);
	setLeds(1,1);

return 0;
} 
